import beans
import beansgui
import sys
from beans import *




class Layer (      instruction_base):
  help="object  of the class of type instruction Layer"
  type="Layer"
  supertype="Layers"
  def __init__(self):
    beans.instruction_base.__init__(self)
    self.associated_variable="None"

    self.option_dic={1:"layer semplice",2:"layer a fette"}

    self.properties_list_fixed.append(
                               property_container(
                                property(property_name="Thickness",
                                  type         ="numeric_f", 
                                  value="None" ,             
                                  argument_key="Thickness",
				  help="thickness of the whole layer",
                                  default="None"
                                ),
                                self 
                               )
                             )
    self.properties_list={}
    self.properties_list[1]=[]	
    self.properties_list[2]=[]	
    self.option=1
    self.properties_list[2].append(
                               property_container(
                                property(property_name="N. of layers",
                                  type         ="numeric_i", 
                                  value="None" ,             
                                  argument_key="Nlayers",
				  help="Numebr of sublayers",
                                  default="None"
                                ),
                                self 
                               )
                             )
    self.variable_is_active=1
    self.constructor={}
    self.constructor[1]="Layer_Simple"
    self.constructor[2]="Layer_Multiple"


beans.register_instruction(beans.List_instruction)

beans.register_instruction(  beans.instruction_base)
beans.register_instruction(  Layer)
beansgui.lanciagui( beans , sys.argv)
